package com.crm.rely.backend.core.dto.follow.report;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;

/**
 * @author y
 * @create 2022/5/20
 */
@Data
public class FollowDealSubscribeSummaryListDto {

    private Long followLogin;

    private String platform;

    private Integer groupType;

    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    private Float profit;

    private Float volume;

    private Integer clear;

    public static FollowDealSubscribeSummaryListDto getInstance(){
        FollowDealSubscribeSummaryListDto dto = new FollowDealSubscribeSummaryListDto();
        dto.setProfit(0F);
        dto.setVolume(0F);
        return dto;
    }
}
